import { ref } from 'vue';
import { ElMessage } from 'element-plus';

// 一般是指项目路由的前缀部分
const prefix = '/api/util/dbInit/';
// 确定具体接口位置
const target = 'options';
// 拼装成全路由,如果需要再拼接,自己到方法里去拼
const route = `${prefix}${target}`;
/**
 * api初始化函数
 * @return {Object} 返回该api自带的变量与函数
 * @property {Array} list 查询列表的数组结果
 * @property {Number} total 查询列表符合条件的总数
 */
const init = function () {
  const query = async function (query) {
    const res = await this.$axios.$post(`${route}`, query);
    if (this.$checkRes(res)) {
      return res.data;
    }
  };
  return { query };
};
export default init;
